Terp Network Docs
APIsIbcgoQuery
GET
/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/incentivized_packet

Path Parameters

packet_id.channel_id*string

channel unique identifier

packet_id.port_id*string

channel port identifier

packet_id.sequence*string

packet sequence

Formatuint64

Query Parameters

query_height?string

block height at which to query.

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://api.terp.network/ibc/apps/fee/v1/channels/string/ports/string/sequences/string/incentivized_packet"
{
  "incentivized_packet": {
    "packet_id": {
      "port_id": "string",
      "channel_id": "string",
      "sequence": "string"
    },
    "packet_fees": [
      {
        "fee": {
          "recv_fee": [
            {
              "denom": "string",
              "amount": "string"
            }
          ],
          "ack_fee": [
            {
              "denom": "string",
              "amount": "string"
            }
          ],
          "timeout_fee": [
            {
              "denom": "string",
              "amount": "string"
            }
          ]
        },
        "refund_address": "string",
        "relayers": [
          "string"
        ]
      }
    ]
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}